Search the Community
Showing results for tags 'sphere'.
-
Add Sphere to Centroid of 3D Solids via LISP
parkerdepriest posted a topic in AutoLISP, Visual LISP & DCL
Hi everyone, here's what I'm trying to do: I have a lot of curved bridge girders, and I am using MASSPROP to find the centroid location, and then manually typing in the centroid coordinates as the center point of a sphere. Awhile back, I found this code that is supposed to do precisely that, but these days it is adding a sphere at a corner point, not the centroid. Any help would be greatly appreciated! (defun c:masscent(/ sset1 slng1 cnt1 cnt2 clist sent1 xlist ylist zlist xpt ypt zpt cpt rad vol1 vlist ucp) (vl-cmdf "._undo" "_end") (vl-cmdf "._undo" "_group") (vl-cmdf "._ucs" "_w") (prompt "\nSelect solids for centroid location. ") (setq sset1 (ssget) slng1 (sslength sset1) cnt1 0 cnt2 0 clist nil ) (repeat slng1 (setq sent1 (vlax-ename->vla-object (ssname sset1 cnt2))) (if (vlax-property-available-p sent1 "Centroid") (progn (setq clist (append clist (list (vlax-get sent1 "Centroid")))) (setq vlist (append vlist (list (vlax-get sent1 "Volume")))) (setq cnt1 (1+ cnt1)) ) ) (Setq cnt2 (1+ cnt2)) ) (setq xlist (mapcar 'car clist)) (setq xpt (car xlist)) (setq ylist (mapcar 'cadr clist)) (setq ypt (car ylist)) (setq zlist (mapcar 'caddr clist)) (Setq zpt (car zlist)) (setq vol1 (car vlist)) (repeat (fix (- (vl-list-length clist) 1)) (setq xlist (cdr xlist)) (setq xpt (+ xpt (car xlist))) (setq ylist (cdr ylist)) (setq ypt (+ ypt (car ylist))) (setq zlist (cdr zlist)) (setq zpt (+ zpt (car zlist))) (setq vlist (cdr vlist)) (Setq vol1 (+ vol1 (car vlist))) ) (setq cpt (list xpt ypt zpt)) (setq cpt (mapcar '(lambda (x) (/ x cnt1)) cpt)) (setq vol1 (strcat (rtos vol1 2 5) " cu. in.")) (setq rad (getreal "\nEnter radius: ")) (vl-cmdf "._sphere" cpt rad) (vl-cmdf "._ucs" "_p") (vl-cmdf "._undo" "_end") (princ "\n") (princ "Centroid point: ") (princ cpt) (princ (strcat " - Volume: " vol1)) (princ) ) -
Hello all, I've created a simple room with a sphere that rolls behind an occluder on a ramp. The ramp is made from extruding a line. When I use Trajectory----"conform from" and try to select the line, it doesn't seem to recognize it. In other words, the sphere is not conforming to the extruded line. I'm not sure what's going on, because if I create a simple line, the sphere will traject down it. If someone could take a look and figure it out, it would be a huge help. Thanks Box3.max
-
Hi all, I'm new in the forum, but it looks like there are some experts around that can share some knowledge. My problem is the following: I have created a macro in excel that selects a series of points and assigns them some coordinates Easting Northing and RL (X,Y,Z). Then a second macro reorganises all the data and groups it as I need. At the end it creates a script. I'm trying to create some spheres and some 3Dpolylines from the center of the spheres. I think I know how to do that. Since I have X,Y,Z for each point I just got the script to write the following: _Sphere 646063,531851,111 30 text 646093,531881,111 25 0 BH21>> For the polylines I do the same thing with 3Dpoly command. I set my layer, I get the command Sphere, XYZ and diameter. then I add some text. From what I have seen that's the right way to do it. The problem comes when I run the script. It creates the layers fine, it runs the command Sphere but then it crashes because it cannot understand that the numbers separated by "," are actually X,Y,Z. It keeps on asking me to specify the center point for my sphere. I have the feeling that it may have something to do with my AutoCad settings but I'm not exactly sure what. I have searched the web and multiple forums for days with no success. I finally decided to come here and ask people with more experience than me, see if I can get someone to point me in the right direction. Thanks to all in advance!
-
semi hollow sphere
-
Hello Everyone, I have a 3d point cloud data of human head. I have attached few markers (sphere/hemispheres) to the head before scanning the head with laser scanner. I need to find the location (xyz coordinates) of these markers. I was wondering if anyone could help in identifying these markers through shape/pattern recognition or any other technique so that I get the location of the markers, Thanks in advance. Thanks Santosh
- 6 replies
-
- sphere
- shape recognition
-
(and 3 more)
Tagged with: